KDE 4.7 PyKDE API Reference

- KDE's Python API

# GeoDataMultiGeometry Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

A class that can contain other GeoDataGeometry objects

GeoDataMultiGeometry is a collection of other GeoDataGeometry objects. As one can add GeoDataMultiGeometry to itself, you can make up a collection of different objects to form one Placemark.

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataGeometry other)
| append (self, Marble.GeoDataGeometry other)
Marble.GeoDataGeometry | at (self, int pos)
Marble.GeoDataGeometry | child (self, int a0)
int | childPosition (self, Marble.GeoDataGeometry child)
| clear (self)
Marble.GeoDataGeometry | first (self)
Marble.GeoDataGeometry | last (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
Marble.GeoDataMultiGeometry | operator << (self, Marble.GeoDataGeometry value)
Marble.GeoDataGeometry | operator [] (self, int pos)
| pack (self, QDataStream stream)
int | size (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

add an element

Marble.GeoDataGeometry at | ( | self, |
|  | int | pos
| ) |  |  |

Marble.GeoDataGeometry child | ( | self, |
|  | int | a0
| ) |  |  |

returns the requested child item

int childPosition | ( | self, |
|  | Marble.GeoDataGeometry | child
| ) |  |  |

returns the position of an item in the list

clear | ( |  | self ) |

Marble.GeoDataGeometry first | ( |  | self ) |

Marble.GeoDataGeometry last | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

Marble.GeoDataMultiGeometry operator << | ( | self, |
|  | Marble.GeoDataGeometry | value
| ) |  |  |

Marble.GeoDataGeometry operator [] | ( | self, |
|  | int | pos
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

int size | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |